Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.runtime
Interface ServletRuntimeMBean

public interface ServletRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

Describes a servlet.

Method Summary
`java.lang.String` | `getContextPath()` Returns context path
`int` | `getExecutionTimeAverage()` Returns the average amount of time all invocations of the servlet have executed since created.
`int` | `getExecutionTimeHigh()` Returns the amount of time the single longest invocation of the servlet has executed since created.
`int` | `getExecutionTimeLow()` Returns the amount of time the single shortest invocation of the servlet has executed since created.
`int` | `getExecutionTimeTotal()` Returns the amount of time all invocations of the servlet has executed since created.
`int` | `getInvocationTotalCount()`
`int` | `getPoolMaxCapacity()` Returns the maximum capacity of this servlet for single thread model servlets.
`int` | `getReloadTotalCount()`
`java.lang.String` | `getServletName()` Return the Servelet's name.
`java.lang.String` | `getServletPath()` Returns the servlet path
`java.lang.String` | `getURL()` Returns http://:port//

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getServletName

    public java.lang.String getServletName()

  Return the Servelet's name.

### getReloadTotalCount

    public int getReloadTotalCount()

### getInvocationTotalCount

    public int getInvocationTotalCount()

### getPoolMaxCapacity

    public int getPoolMaxCapacity()

  Returns the maximum capacity of this servlet for single thread model servlets.

### getExecutionTimeTotal

    public int getExecutionTimeTotal()

  Returns the amount of time all invocations of the servlet has executed since created.

### getExecutionTimeHigh

    public int getExecutionTimeHigh()

  Returns the amount of time the single longest invocation of the servlet has executed since created.

### getExecutionTimeLow

    public int getExecutionTimeLow()

  Returns the amount of time the single shortest invocation of the servlet has executed since created. Note that for the CounterMonitor, the difference option must be used.

### getExecutionTimeAverage

    public int getExecutionTimeAverage()

  Returns the average amount of time all invocations of the servlet have executed since created.

### getServletPath

    public java.lang.String getServletPath()

  Returns the servlet path

### getContextPath

    public java.lang.String getContextPath()

  Returns context path

### getURL

    public java.lang.String getURL()

  Returns http://:port//

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference